Botan 1.10.17

Public Member Functions | List of all members
Botan::Mutex Class Referenceabstract

`#include <mutex.h>`

## Public Member Functions
virtual void | lock ()=0
virtual void | unlock ()=0
virtual | ~Mutex ()

## Detailed Description

Mutex Base Class

Definition at line 18 of file mutex.h.

## Constructor & Destructor Documentation

## ◆ ~Mutex()

virtual Botan::Mutex::~Mutex | ( |  | ) |
| inline virtual

Definition at line 30 of file mutex.h.

30 {}

## Member Function Documentation

## ◆ lock()

virtual void Botan::Mutex::lock | ( |  | ) |
| pure virtual

Lock the mutex

Referenced by Botan::Mutex_Holder::Mutex_Holder().

## ◆ unlock()

virtual void Botan::Mutex::unlock | ( |  | ) |
| pure virtual

Unlock the mutex

Referenced by Botan::Mutex_Holder::~Mutex_Holder().

The documentation for this class was generated from the following file:

- src/mutex/mutex.h